function c(r) {
  const e = [];
  return new Promise((n, u) => {
    r.reduce((t, o) => t.then(o).then((s) => e.push(s)), Promise.resolve()).then(() => n(e));
  });
}
export {
  c as runPromiseByQueue
};
